Skip to navigation
EndpointEndpoint usage and cost statistics

Endpoint usage and cost statistics

You can only retrieve data traffic costs for organizations without multi-inclusive volumes.

Retrieves endpoint usage and cost statistics for a given ID. Usage statistics are sorted by data and sms.

Returns statistics from the following periods:

  • last_month: Previous billing month, from the first to last day (for example, April 1-30, 2023, when you send the request sometime in May 2023).
  • current_month: Current month, with statistics calculated up to and including the date requested (for example, May 1-8, 2023, when you sent the request on May 8, 2023).
  • last_hour: Previous 60 minutes, accumulated per minute and organized by data or SMS received by the device (rx) and transmitted by the device (tx).

last_month and current_month are only included in the responses if traffic exists.

Authentication

AuthorizationBearer

An auth_token should be provided to authenticate a session.

To obtain an auth_token, see the /api/v1/authenticate POST request.

Path parameters

endpoint_idintegerRequired
Numeric ID of an endpoint

Response

Successfully returned the endpoint statistics associated with the provided id.

last_monthobjectOptional
current_monthobjectOptional
last_hourobjectOptional

Errors

403
Forbidden Error